<source>
  type @tail
  path /var/log/gitlab/patroni/current
  pos_file /var/log/td-agent/patroni.log.pos
  <parse>
    @type multi_format
    <pattern>
      # 2021-08-03_06:58:28.44513 2021-08-03 06:58:28,444 INFO: no action. I am (saas-staging-postgres-1) the leader with the lock
      format regexp
      expression /(?<time>[^ ]*) (?<patroni_date>[^ ]*) (?<patroni_time>[^ ]*) (?<severity>[^ ]*): (?<message>.*)/
      time_format %Y-%m-%d_%H:%M:%S
    <pattern>
      # 2021-08-19_09:24:51.89238 ERROR:  column ci_builds.commands does not exist at character 1277
      format regexp
      expression /(?<time>[^ ]*) (?<severity>.*): (?<message>.*)/
      time_format %Y-%m-%d_%H:%M:%S
    </pattern>
    <pattern>
      format regexp
      expression /(?<time>[^ ]*) (?<message>.*)/
      time_format %Y-%m-%d_%H:%M:%S
    </pattern>
  </parse>
</source>